Skip to main content
GET
/
v1
/
test-sessions
/
{testSessionId}
/
results
/
{testSessionResultId}
/
assets
Retrieve a normalized asset manifest for a test-session result
curl --request GET \
  --url https://api.checklyhq.com/v1/test-sessions/{testSessionId}/results/{testSessionResultId}/assets \
  --header 'Authorization: Bearer <token>'
{
  "assets": [
    {
      "name": "<string>",
      "url": "<string>",
      "source": {
        "checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "checkName": "<string>",
        "checkType": "<string>",
        "resultId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "testSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "contentType": "<string>",
      "archive": {
        "entryName": "<string>"
      }
    }
  ],
  "truncated": true,
  "entriesReturned": 1,
  "entriesTotal": 1
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

testSessionId
string<uuid>
required

Test session ID.

testSessionResultId
string<uuid>
required

Test session result ID.

Response

Successful

assets
object[]
required

Normalized assets for the result.

truncated
boolean

Whether the manifest omitted entries because the stored archive entry list exceeded the endpoint cap.

entriesReturned
integer

Number of archive entries represented in the response when the manifest is truncated.

Required range: x >= 0
entriesTotal
integer

Total number of manifestable archive entries found in storage when the manifest is truncated.

Required range: x >= 0